org.apache.storm.cassandra.query.builder

## Class SimpleCQLStatementMapperBuilder

- java.lang.Object
- - org.apache.storm.cassandra.query.builder.SimpleCQLStatementMapperBuilder

- All Implemented Interfaces:
    Serializable, CQLStatementBuilder<SimpleCQLStatementMapper>

      public class SimpleCQLStatementMapperBuilder
      extends Object
      implements CQLStatementBuilder<SimpleCQLStatementMapper>, Serializable

  Default class to build `SimpleCQLStatementMapper` instance.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleCQLStatementMapperBuilder(com.datastax.driver.core.querybuilder.BuiltStatement builtStatement)` Creates a new `SimpleCQLStatementMapperBuilder` instance.
    `SimpleCQLStatementMapperBuilder(String queryString)` Creates a new `SimpleCQLStatementMapperBuilder` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleCQLStatementMapper` | `build()` Builds a new `CQLStatementTupleMapper` instance.
    `SimpleCQLStatementMapperBuilder` | `with(CqlMapper mapper)` Includes only the specified tuple fields.
    `SimpleCQLStatementMapperBuilder` | `with(FieldSelector... fields)` Includes only the specified tuple fields.
    `SimpleCQLStatementMapperBuilder` | `withRoutingKeys(String... fields)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleCQLStatementMapperBuilder

          public SimpleCQLStatementMapperBuilder(String queryString)

      Creates a new `SimpleCQLStatementMapperBuilder` instance.

      Parameters:
        `queryString` - a valid CQL query string.

    - #### SimpleCQLStatementMapperBuilder

          public SimpleCQLStatementMapperBuilder(com.datastax.driver.core.querybuilder.BuiltStatement builtStatement)

      Creates a new `SimpleCQLStatementMapperBuilder` instance.

      Parameters:
        `builtStatement` - a query built statements

  - ### Method Detail

    - #### build

          public SimpleCQLStatementMapper build()

      Builds a new `CQLStatementTupleMapper` instance.

      Specified by:
        `build` in interface `CQLStatementBuilder<SimpleCQLStatementMapper>`
      Returns:
        a new CQLStatementMapper instance.

    - #### with

          public final SimpleCQLStatementMapperBuilder with(FieldSelector... fields)

      Includes only the specified tuple fields.

      Parameters:
        `fields` - a list of field selector.

    - #### with

          public final SimpleCQLStatementMapperBuilder with(CqlMapper mapper)

      Includes only the specified tuple fields.

      Parameters:
        `mapper` - a column mapper.

    - #### withRoutingKeys

          public final SimpleCQLStatementMapperBuilder withRoutingKeys(String... fields)

Copyright © 2019 The Apache Software Foundation. All rights reserved.